﻿@model NationalTheatre.ViewModels.ShowViewModel

<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container">
        <div class="navbar-header">
            <a asp-area="" asp-controller="Shows" asp-action="Index" class="navbar-brand">Shows</a>
            <a asp-area="" asp-controller="Categories" asp-action="Index" class="navbar-brand">Categories</a>
            <a asp-area="" asp-controller="Cashiers" asp-action="Index" class="navbar-brand">Cashiers</a>

            <a asp-area="" asp-controller="Users" asp-action="Logout" class="navbar-brand" style="margin-left:650px">Log out</a>
        </div>
    </div>
</nav>

<h3>Add Show</h3>

<form asp-action="Create" asp-controller="Shows" method="post">
    <div class="form-horizontal">
        <h4>Show</h4>
        <hr />
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
        <div class="form-group">
            <label asp-for="Name" class="col-md-2 control-label">Name</label>
            <div class="col-md-10">
                <input asp-for="Name" class="form-control" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="Price" class="col-md-2 control-label">Price</label>
            <div class="col-md-10">
                <input asp-for="Price" class="form-control" />
                <span asp-validation-for="Price" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="AvailableTickets" class="col-md-2 control-label">Number of Tickets</label>
            <div class="col-md-10">
                <input asp-for="AvailableTickets" class="form-control" />
                <span asp-validation-for="AvailableTickets" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="Date" class="col-md-2 control-label">Date</label>
            <div class="col-md-10">
                <input asp-for="Date" class="form-control" />
                <span asp-validation-for="Date" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="DistributionList" class="col-md-2 control-label">Distribution List</label>
            <div class="col-md-10">
                <input asp-for="DistributionList" class="form-control" />
                <span asp-validation-for="DistributionList" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label class="col-md-2 control-label">Categories</label>
            <div class="col-md-10">
                @for (var i = 0; i < Model.AllCategories.Count; i++)
                {
                    <input type="checkbox" asp-for="@Model.AllCategories[i].CheckboxAnswer" />
                    <label asp-for="@Model.AllCategories[i].CheckboxAnswer">@Model.AllCategories[i].Name</label>
                    <input type="hidden" asp-for="@Model.AllCategories[i].Id" />
                    <input type="hidden" asp-for="@Model.AllCategories[i].Name" />
                }
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </div>
    </div>
</form>

<div>
    <a asp-controller="Shows" asp-action="Index">Back to shows</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}